* {
  margin: 0px;
  padding: 0px;
  box-sizing: border-box;
}

body {
  height: 100vh;
  display: flex;
  place-items: center;
}

.game-board {
  width: 80%;
  height: 500px;
  border: 2px solid #333;
  margin: 0 auto;
  position: relative;
  overflow: hidden;
  border-radius: 7px;
  background: linear-gradient(#87CEEB, #E0F6FF);
}

.mario {
  width: 150px;
  position: absolute;
  bottom: 0;
}

.pipe {
  position: absolute;
  bottom: 0;
  width: 80px;
  right: 0;
  animation: pipe-animation 1500ms infinite linear;
}

.jump {
  animation: mario-jump 500ms ease-out;
}

@keyframes pipe-animation {
  from {
    right: -80px;
  }
  to {
    right: calc(100vw - 80px);
  }
}

@keyframes mario-jump {
  0% {
    bottom: 0;
  }

  40% {
    bottom: 180px;
  }

  50% {
    bottom: 180px;
  }

  60% {
    bottom: 180px;
  }

  100% {
    bottom: 0;
  }
}

@media (max-width: 720px) {

  body {
    height: 100vh;
  }

  .mario {
    width: 75px;
  }
  .pipe {
    width: 40px;
    animation: pipe-animation 1200ms infinite linear;
  }

  @keyframes mario-jump {
    0% {
      bottom: 0;
    }
  
    40% {
      bottom: 90px;
    }
  
    50% {
      bottom: 90px;
    }
  
    60% {
      bottom: 90px;
    }
  
    100% {
      bottom: 0;
    }
  }
}